com.atid.lib.module.barcode.ssi.type

## Enum Code11CheckDigitVerification

- java.lang.Object
- - java.lang.Enum<Code11CheckDigitVerification>
  - - com.atid.lib.module.barcode.ssi.type.Code11CheckDigitVerification

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Code11CheckDigitVerification>

      public enum Code11CheckDigitVerification
      extends java.lang.Enum<Code11CheckDigitVerification>
      implements IEnumType

  This feature allows the decoder to check the integrity of all Code 11 symbols to verify that the data complies with the specified check digit algorithm. This selects the check digit mechanism for the decoded Code 11 bar code. The options are to check for one check digit, check for two check digits, or disable the feature. To enable this feature, scan the bar code below corresponding to the number of check digits encoded in the Code 11 symbols.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disable`
    `OneCheckDigit`
    `TwoCheckDigit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static Code11CheckDigitVerification` | `valueOf(int code)`
    `static Code11CheckDigitVerification` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Code11CheckDigitVerification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disable

          public static final Code11CheckDigitVerification Disable

    - #### OneCheckDigit

          public static final Code11CheckDigitVerification OneCheckDigit

    - #### TwoCheckDigit

          public static final Code11CheckDigitVerification TwoCheckDigit

  - ### Method Detail

    - #### values

          public static Code11CheckDigitVerification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Code11CheckDigitVerification c : Code11CheckDigitVerification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Code11CheckDigitVerification valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Code11CheckDigitVerification>`

    - #### valueOf

          public static Code11CheckDigitVerification valueOf(int code)